> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agipower.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a file



## OpenAPI

````yaml /openapi.json post /v1/files
openapi: 3.1.0
info:
  title: AGIPower API
  version: 1.0.0
  description: >-
    Interactive API reference for AGIPower-compatible OpenAI, Anthropic, Google
    Vertex AI, and management endpoints.
servers:
  - url: https://api.agipower.ai
security:
  - bearerAuth: []
paths:
  /v1/files:
    post:
      tags:
        - Files API
      summary: Create a file
      operationId: createFile
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - file
                - purpose
              properties:
                file:
                  type: string
                  format: binary
                purpose:
                  type: string
                  example: assistants
      responses:
        '200':
          description: Created file
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````